Skip to content

TimeEntryType


OpenAPI Spec

GET
/v1/time-entry-types/spec

Get OpenAPI 3.1.0 spec for TimeEntryType API

Responses

Returns OpenAPI 3.1.0 spec for TimeEntryType API

application/json
JSON
{
}

Playground

Samples


List TimeEntryTypes

GET
/v1/time-entry-types

List TimeEntryTypes

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
eventTypeId
name
isUnassigned
deactivatedAt
order
externalId
createdAt
updatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"name": "string",
"isUnassigned": true,
"eventTypeId": 0,
"order": 0,
"deactivatedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new TimeEntryType

POST
/v1/time-entry-types

Create a new TimeEntryType

Authorizations

apiKey
Type
HTTP (bearer)

Request Body

application/json
JSON
{
"name": "string",
"isUnassigned": true,
"eventTypeId": 0,
"order": 1,
"externalId": "string"
}

Responses

TimeEntryType found

application/json
JSON
{
"id": 0,
"name": "string",
"isUnassigned": true,
"eventTypeId": 0,
"order": 0,
"deactivatedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Body

Samples


Get a TimeEntryType

GET
/v1/time-entry-types/{timeEntryTypeId}

Get a TimeEntryType by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

timeEntryTypeId*
Type
integer
Required
Format
"int32"

Responses

TimeEntryType found

application/json
JSON
{
"id": 0,
"name": "string",
"isUnassigned": true,
"eventTypeId": 0,
"order": 0,
"deactivatedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Update a TimeEntryType

PATCH
/v1/time-entry-types/{timeEntryTypeId}

Update a TimeEntryType by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

timeEntryTypeId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"name": "string",
"order": 1,
"deactivatedAt": "string",
"externalId": "string"
}

Responses

TimeEntryType found

application/json
JSON
{
"id": 0,
"name": "string",
"isUnassigned": true,
"eventTypeId": 0,
"order": 0,
"deactivatedAt": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples